Search groups
curl --request GET \
--url https://connect.fmgsuite.com/v1/fmg/contact/groups \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://connect.fmgsuite.com/v1/fmg/contact/groups"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://connect.fmgsuite.com/v1/fmg/contact/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"groupId": 123,
"externalId": "<string>",
"name": "<string>",
"dateTimeCreated": "<string>",
"dateTimeModified": "<string>",
"contactCount": 123,
"source": 123
}
],
"pageInfo": {
"page": 2,
"pageSize": 100,
"totalRecord": 1,
"sortBy": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"retryable": true,
"details": "<unknown>"
}fmg contact
Search groups
GET
/
fmg
/
contact
/
groups
Search groups
Authorizations
OAuth 2.1 access tokens issued by Stytch Connected Apps.
API usage-plan key. Required on every request, sent as the x-api-key header.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200Available options:
asc, desc ⌘I